
Základy použitia
================

Interpreter programov pre Pokladničku je písaný v Pythone 3.
Interpretovaný program očakáva na štandardnom vstupe.
Spustiť na vstupe `vstup.txt` ho môžeš napr. nasledovne:

`python3 pokladnicka.py < vstup.txt`

Ak je interpreter spustený s parametrom `-v` (resp. `--verbose`), 
vypisuje viac informácií o simulácii.

Ako zadať farbu
===============

Popis farby má buď tvar `"meno_farby"` alebo tvar `"počet_kusov meno_farby"`,
pričom medzi počtom a menom musí byť nejaký whitespace. Počet, ak tam je, musí
byť kladné celé číslo neprevyšujúce $10^9$. Meno farby môže byť ľubovoľný
neprázdny reťazec neobsahujúci whitespace, odporúčame používať anglické
písmenká.

Ako zadať (multi)množinu
========================

Množina sa skladá z nula alebo viac popisov farieb. Ak ich je nula, je to
prázdny reťazec, ak je jedna, vyzerá ako popis farby. Ak je farieb viac, musia
byť od seba oddelené oddeľovačom. Ako oddeľovač je povolené použiť buď `"+"`
(plus) alebo `","` (čiarku). V celom popise množiny musí byť všade ten istý
oddeľovač. Nemusí okolo neho byť whitespace. (Áno, ak chcete, môžete používať
čiarky aj v obmedzeniach alebo plusy aj v inštrukciách.)

Ako zadať obmedzenie
====================

Na lineárny výraz na ľavej strane obmedzenia sa tiež môžeme dívať ako na
multimnožinu farieb. Obmedzenie teda budeme zadávať v tvare
`"množina_na_ľavej_strane <= limit"`. Okolo `"<="` nemusí byť žiadny
whitespace.  

Každé obmedzenie treba uviesť v jednom samostatnom riadku začínajúcom
reťazcom `"OBMEDZENIE:"`

Ako zadať inštrukciu
====================

Inštrukcia má tvar `"množina_na_ľavej_strane -> množina_na_pravej_strane"`.
Okolo `"->"` nemusí byť žiadny whitespace. Každú inštrukciu treba uviesť v
jednom samostatnom riadku.

Ako spustiť simuláciu
=====================

Program sa číta po riadkoch zhora dole.

Po prečítaní riadku tvaru `"VSTUP: množina"` sa spustí simulácia *dovtedy
načítaného* programu s tým, že na začiatku je v Pokladničke daná množina
žetónov.

Program môže obsahovať ľubovoľne veľa vstupov, interpreter odsimuluje
výpočet na každom z nich. 

Silne odporúčame uvádzať všetky vstupy na konci programu.

